module TYCiCore
	class EXE
		def self.exe(executable, command, raise_if_need = false)
			require 'cocoapods'
			require 'cocoapods/executable'

			puts "Command is: #{command}".yellow

			Pod::Executable.execute_command(executable, command, raise_if_need)
		end

		def self.multi_exe(executable, commands, raise_if_need = false)
			commands.each do |command|
				exe(executable, command, raise_if_need)
			end
		end
	end
end