module TYCiCore
	class TuyaLanguageUpdate
		def self.update
			path = './.ci.json'
			if File.exist? path
				config = TYCiCore::Config.new path
				app_version = config.value 'verify_language_symbol.ci_app_version'
				app_id = config.value 'verify_language_symbol.ci_app_id'
				archive = config.value 'verify_language_symbol.archive'
				if archive
					puts TYCiCore::EXE.exe 'python', %W(language.py -a #{app_id}  -v #{app_version})
					TYCiCore::EXE.exe 'git', %W(push) if TYCiCore::Git.git_commit_modify 'feat: CI update Language Success'
				end
			end
		end
	end
end